Page MenuHomePhabricator

Rename Phabricator's "Normal" Priority field value to "Medium"
Closed, ResolvedPublic

Assigned To
Authored By
Aklapper
Jul 23 2019, 1:49 PM
Tokens
"Like" token, awarded by zeljkofilipin."Like" token, awarded by Jdforrester-WMF."Like" token, awarded by TJones."Like" token, awarded by Lucas_Werkmeister_WMDE."Like" token, awarded by MGChecker."Like" token, awarded by thiemowmde."Like" token, awarded by MusikAnimal."Like" token, awarded by Ammarpad."Like" token, awarded by Quiddity."Stroopwafel" token, awarded by mpopov.

Description

Our definitions of task priority levels could... be better.

The term "normal" is problematic:

  • "Normal" implies a default. (For completeness, the initial default task priority value is "Needs Triage".) IMHO by default ("default" as in "most often"), tasks shall be low priority (due to resources being limited), but the word "Normal" creates an incentive to use that term instead of e.g. having to explain why something is "low" priority. The constraints of a realistic planning process might be slightly easier to explain if the term to compare with is "medium" instead of "normal".
  • There is no abnormal priority to compare with.

Event Timeline

Aklapper triaged this task as Low priority.Jul 23 2019, 1:49 PM
Aklapper created this task.
Urbanecm removed the point value for this task.Aug 31 2019, 11:27 PM

[bulk] Setting points to "", given it doesn't make any sense to have them as "0".

To get more opinions, I put up a quick and dirty "Phabricator survey" paper at Wikimedia Technical Conference 2019:


There seems to be support for this.

Change 552626 had a related patch set uploaded (by Aklapper; owner: Aklapper):
[operations/puppet@production] Phabricator: Rename Priority field value "Normal" to "Medium"

https://gerrit.wikimedia.org/r/552626

If some external code scraped priority name strings instead of their integer values, then such code should be made more robust, e.g. by first calling https://phabricator.wikimedia.org/conduit/method/maniphest.priority.search/ to get information about existing priority values in a Phabricator installation.

Looks good to me - I use normal as medium priority really

Johan added a subscriber: Johan.Nov 23 2019, 5:27 PM

Makes senes to me. I certainly feel a definite resistance to using anything but normal, as that would imply I've decided this task is very different from my normal tasks.

I do it. But not often. My tasks are typically in what I consider the be my normal range.

Johan removed a subscriber: Johan.Nov 23 2019, 5:46 PM
Kizule added a subscriber: Kizule.Nov 23 2019, 6:00 PM

Yes, I support this. Medium is correctly than Normal.

Change 552626 merged by Dzahn:
[operations/puppet@production] Phabricator: Rename Priority field value "Normal" to "Medium"

https://gerrit.wikimedia.org/r/552626

Dzahn raised the priority of this task from Low to Medium.Nov 27 2019, 5:27 PM
mmodell added a subscriber: mmodell.

Ok so the change in puppet didn't take effect because it was already overridden by a config edit that was done through phabricator's gui.

I would like to deprecate the fixed_settings.yaml in puppet and prefer just making customizations in the phab config gui.

There are several reasons for this which I've outlined in T239355: Deprecate phabricator's fixed_settings.yaml (in puppet) and just use phabricator's built in configuration tools

Aklapper closed this task as Resolved.Nov 27 2019, 6:11 PM
Aklapper claimed this task.

Deployed. And documentation updated.

Thank you everybody for your input and help!